Package org.drinkless.tdlib

# Class TdApi.GetChatMessageByDate

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Function<TdApi.Message>
org.drinkless.tdlib.TdApi.GetChatMessageByDate

Enclosing class:
  `TdApi`

public static class TdApi.GetChatMessageByDate extends TdApi.Function<TdApi.Message>
Returns the last message sent in a chat no later than the specified date. Returns a 404 error if such message doesn't exist.

Returns `Message`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Function

  `TdApi.Function.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `long`
  `chatId`
  Chat identifier.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `int`
  `date`
  Point in time (Unix timestamp) relative to which to search for messages.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GetChatMessageByDate()`
  Default constructor for a function, which returns the last message sent in a chat no later than the specified date.
  `GetChatMessageByDate(long chatId, int date)`
  Creates a function, which returns the last message sent in a chat no later than the specified date.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Function

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### chatId

    public long chatId
    Chat identifier.

  - ### date

    public int date
    Point in time (Unix timestamp) relative to which to search for messages.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### GetChatMessageByDate

    public GetChatMessageByDate()
    Default constructor for a function, which returns the last message sent in a chat no later than the specified date. Returns a 404 error if such message doesn't exist.

    Returns `Message`

  - ### GetChatMessageByDate

    public GetChatMessageByDate(long chatId, int date)
    Creates a function, which returns the last message sent in a chat no later than the specified date. Returns a 404 error if such message doesn't exist.

    Returns `Message`

    Parameters:
      `chatId` - Chat identifier.
      `date` - Point in time (Unix timestamp) relative to which to search for messages.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Function<TdApi.Message>`
    Returns:
      this.CONSTRUCTOR